gstreamermm: Gst::MessageStructureChange Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageStructureChange Class Reference

A structure change message. More...

Inheritance diagram for Gst::MessageStructureChange:
[legend]
Collaboration diagram for Gst::MessageStructureChange:
[legend]

List of all members.

## Public Member Functions
| MessageStructureChange (GstMessage* castitem)
void | parse (Gst::StructureChangeType&type, Glib::RefPtr< Gst::Element >& owner, bool& busy) const
| Extracts the change type and completion status from the Gst::Message.
Gst::StructureChangeType | parse () const
| Extracts the change type from the Gs::tMessage.
Glib::RefPtr< Gst::Element > | parse_owner () const
| Extracts the owner from the Gst::Message.
bool | parse_busy () const
| Extracts the completion status from the Gst::Message.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStructureChange > | create (const Glib::RefPtr< Gst::Object >& src, Gst::StructureChangeType type, const Glib::RefPtr< Gst::Element >& owner, bool busy)
| Create a new structure change message.

## Detailed Description

A structure change message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStructureChange::MessageStructureChange | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStructureChange> Gst::MessageStructureChange::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::StructureChangeType | type,
|  | const Glib::RefPtr< Gst::Element >& | owner,
|  | bool | busy
| ) |  | `[static]`

Create a new structure change message.

This message is posted when the structure of a pipeline is in the process of being changed, for example when pads are linked or unlinked.

src should be the srcpad that unlinked or linked.

Parameters:

  src | The object originating the message.
  type | The change type.
  owner | The owner element of src.
  busy | Whether the structure change is busy.

Returns:
  The new structure change message. MT safe.

Since 0.10.22.

void Gst::MessageStructureChange::parse | ( | Gst::StructureChangeType& | type,
|  | Glib::RefPtr< Gst::Element >& | owner,
|  | bool & | busy
| ) |  | const

Extracts the change type and completion status from the Gst::Message.

MT safe.

Parameters:

  type | A reference to hold the change type.
  owner | The owner element of the message source.
  busy | A reference to hold whether the change is in progress or has been completed.

Since 0.10.22.

Gst::StructureChangeType Gst::MessageStructureChange::parse | ( |  | ) | const

Extracts the change type from the Gs::tMessage.

MT safe.

Returns:
  The change type.

Since 0.10.22.

bool Gst::MessageStructureChange::parse_busy | ( |  | ) | const

Extracts the completion status from the Gst::Message.

MT safe.

Returns:
  whether the change is in progress or has been completed.

Since 0.10.22.

Glib::RefPtr<Gst::Element> Gst::MessageStructureChange::parse_owner | ( |  | ) | const

Extracts the owner from the Gst::Message.

MT safe.

Returns:
  The owner element of the message source.

Since 0.10.22.

The documentation for this class was generated from the following file:

- gstreamermm/message.h